Subject: [Website] Integral update proposal

From: sirgazil <[email-masked]>
Date: Mon, 06 Mar 2017 21:02:39 -0500

Hi,

I'd like to propose some changes to the website based on my current perception of it and some comments I've read from users:

Navigation bar
==============

Bar mockup: https://multimedialib.files.wordpress.com/2017/03/guixsd-menu-2017-03-06.png

The current navigation bar is growing, so I think it may be good to define a style so that people can build more complex menus if necessary (but I hope it won't get too complex).

I propose the graphic change you see in the mockup—thin black line at the bottom, navigation items are white while idle, and yellow with a black indicator at the bottom when active— as well as the actual items and their ordering.

Home page
=========

Home mockup: https://multimedialib.files.wordpress.com/2017/03/guixsd-home-view-2017-03-06.png

I propose the changes in the mockup above because of the following reasons:

1. Some people still confuse Guix with GuixSD.
2. Some people still ask if Guix can be used on top of other distributions.
3. Some people think pitching GuixSD and Guix to specific crowds is good (of course it is). [1]

To address the first two points, I changed the order of the content so that information refers to GuixSD first, Guix as a part of it, and then added a section that mentions specifically the use of Guix in other distros.

For point three, I added a section that links to blog posts that explain GuixSD and Guix in the context of a particular field (this part requires the current News pages to become a Blog instead. See below).

Finally, Ricardo Wurmus commented that there were too many styles of buttons, and I agree with him, so I made them homogeneous.

News pages
==========

News list mockup: https://multimedialib.files.wordpress.com/2017/03/guixsd-blog-list-2017-03-06.png
News details mockup: https://multimedialib.files.wordpress.com/2017/03/guixsd-blog-post-2017-03-06.png

I suggest to convert News into a blog instead. This could make it easier to add information targeted at different audiences without making the website more complex. Additionally, we could move to the blog content like talks, papers, and posts currently listed in the Help page.

I remember that Ludovic commented in #guix that he would like a better way to display talks in the website... [2] With the design in the mockup above, you just click on the "Talks" tag, and you have a nice preview and summary of all talks.

Also, Haunt, the current static site generator used to build the website, can create an atom feed for every tag in the blog, so people can subscribe to whatever topic is more interesting to them. Personally, I'd like to subscribe to a "Security" feed to keep informed about important security updates (see bug #25852). [3]

Packages pages
==============

Package list mockup: https://multimedialib.files.wordpress.com/2017/03/guixsd-package-list-2017-03-06.png
Package details mockup: https://multimedialib.files.wordpress.com/2017/03/guixsd-package-detail-2017-03-06.png

I actually proposed this update in bug #25227,[4] but decided to review the whole website design, so I put it here for reference.

Help page
=========

* Move talks, papers, and posts to the Blog.
* Allow little boxes to be distributed along the whole width of the screen.

Contribute page
===============

* Allow little boxes to be distributed along the whole width of the screen.

Infrastructure
==============

Personally, I'd like to be able to access the website at "guixsd.org", and use a git repository for deployment of the static website.

However, we are currently using the resources provided by Savannah for hosting, which means we have to use a CVS repository to deploy the website. As mentioned in bug #25227, using CVS could block the implementation of the packages pages as shown in the mockups above (and maybe filtering blog posts by tag) because CVS could choke on the thousands of pages that would be generated (if we keep using a static website).

To find a solution to this issue, Ludovic sent an email to Savannah admins asking for the possibility of using a dynamic website instead. I don't remember if there was an answer.

And that's all I'd like to modify regarding the current website.

What do you think?

[1]: https://lists.gnu.org/archive/html/guix-devel/2015-12/msg00873.html
[2]: https://gnunet.org/bot/log/guix/2016-02-27#T934268
[3]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25852
[4]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25227

---
https://sirgazil.bitbucket.io/